Subject: RE: SIP INFO: What is "mid-session"; sessions w/o media

From: "Fairlie-Cuninghame, Robert" <[email-masked]>
Date: Thu, 30 Mar 2000 20:40:09 -0800

Are you saying you can send an INFO _immediately_ after sending the INVITE
or must you wait for a provisional response or even a final response ?

Robert.

-----Original Message-----
From:	Sunitha Kumar [mailto:[email-masked]]
Sent:	Friday, March 31, 2000 6:27 AM
To:	[email-masked]
Cc:	[email-masked]
Subject:	Re: SIP INFO: What is "mid-session"; sessions w/o media

[email-masked] wrote:

> 1. The draft on the INFO method says that the INFO method may be used
> "mid-session"; exactly what that means is not clear to me. Does it mean
that
> the UAC may send an INFO right after sending an INVITE, and the UAS may
send
> an INFO right after receiving an INVITE?

INFO msg is used to convey something more about the session. Hence, the
requirement is that this msg has to match an existing callLeg, else it will
be
rejected at the UAS.
So, you can send INFO once the callLeg is established, i.e after sending an
INVITE.

>
>
> 2. Is it possible to create a session without a media stream, solely for
the
> purpose of sending one or more INFOs, and if so, is there a standard or
> preferred way of doing so?
>

I read somewhere that you can send INVITE without including the media
details
(i.e without the SDP). If that is correct, then you can send INFO after this
INVITE.
So, in essence, the media stream is not (yet) opened at this time.

Hope that helps.
sunitha

> Thanks,
> Cliff Harris